Ubuntu

No sound in sony vaio VPCEB16FG (Realtek ALC269, snd-hda-intel driver)

Reported by gokul on 2010-03-11
110
This bug affects 17 people
Affects Status Importance Assigned to Milestone
alsa-driver (Ubuntu)
Undecided
descuadrs
Nominated for Lucid by gokul

Bug Description

There is no sound by default and I have added the ubuntu-audio-dev ppa to my package sources and have the latest packages and still there is no sound.

My guess is the card is recognized.
I have tried adding "options snd-hda-intel model=basic" to /etc/modprobe.d/alsa_base.conf to no avail.

I have tried using the debugging guide(s):
https://help.ubuntu.com/community/SoundTroubleshooting

Here is the alsa db link, created by alsa_info.sh
http://www.alsa-project.org/db/?f=a469012bc9a69e16550cb584d3c40ab0c2659936

[
work around #1:
Please refer to comment #46.
You can get hda-analyzer here: http://www.alsa-project.org/main/index.php/HDA_Analyzer

Do the 'quick run' mentioned in that page. Find Node[0x19] on the left hand side pane and click it. Look under "widget control" on the Right hand side pane. Change VREF's value from whatever it is to HIZ.

This has worked for me and others who have commented here.

work around #2:
Please refer to comment #74
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/537448/comments/74

work around #3:
Please refer to comment #102:
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/537448/comments/102

work around #4:
Please refer to comment #107:
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/537448/comments/107

]

ProblemType: Bug
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: maya 2258 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf5e00000 irq 35'
   Mixer name : 'Realtek ALC269'
   Components : 'HDA:10ec0269,104d4600,00100004'
   Controls : 12
   Simple ctrls : 7
Card1.Amixer.info:
 Card hw:1 'Generic'/'HD-Audio Generic at 0xf0040000 irq 36'
   Mixer name : 'ATI R6xx HDMI'
   Components : 'HDA:1002aa01,104d4600,00100200'
   Controls : 4
   Simple ctrls : 1
Card1.Amixer.values:
 Simple mixer control 'IEC958',0
   Capabilities: pswitch pswitch-joined
   Playback channels: Mono
   Mono: Playback [on]
Date: Thu Mar 11 21:23:09 2010
DistroRelease: Ubuntu 9.10
NonfreeKernelModules: fglrx
Package: alsa-base 1.0.20+dfsg-1ubuntu5
PackageArchitecture: all
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-20.57-generic-pae
SourcePackage: alsa-driver
Uname: Linux 2.6.31-20-generic-pae i686
XsessionErrors:
 (gnome-settings-daemon:2277): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (nautilus:2410): Eel-CRITICAL **: eel_preferences_get_boolean: assertion `preferences_is_initialized ()' failed
 (polkit-gnome-authentication-agent-1:2426): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed
---
AlsaVersion:
 Advanced Linux Sound Architecture Driver Version 1.0.22.1.
 Compiled on Mar 15 2010 for kernel 2.6.32-16-generic-pae (SMP).
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: maya 1858 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf5e00000 irq 35'
   Mixer name : 'Realtek ALC269'
   Components : 'HDA:10ec0269,104d4600,00100004'
   Controls : 12
   Simple ctrls : 7
Card1.Amixer.info:
 Card hw:1 'Generic'/'HD-Audio Generic at 0xf0040000 irq 36'
   Mixer name : 'ATI R6xx HDMI'
   Components : 'HDA:1002aa01,104d4600,00100200'
   Controls : 4
   Simple ctrls : 1
Card1.Amixer.values:
 Simple mixer control 'IEC958',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
DistroRelease: Ubuntu 10.04
LiveMediaBuild: Ubuntu 10.04 "Lucid Lynx" - Alpha i386 (20100313)
Package: alsa-driver (not installed)
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-16.25-generic-pae
Tags: lucid
Uname: Linux 2.6.32-16-generic-pae i686
UserGroups: adm admin audio cdrom dialout lpadmin plugdev sambashare

---
AlsaVersion:
 Advanced Linux Sound Architecture Driver Version 1.0.22.1.
 Compiled on Apr 1 2010 for kernel 2.6.32-19-generic (SMP).
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: maya 1695 F.... pulseaudio
 /dev/snd/pcmC0D0p: maya 1695 F...m pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf5e00000 irq 35'
   Mixer name : 'Realtek ALC269'
   Components : 'HDA:10ec0269,104d4600,00100004'
   Controls : 12
   Simple ctrls : 7
Card1.Amixer.info:
 Card hw:1 'Generic'/'HD-Audio Generic at 0xf0040000 irq 36'
   Mixer name : 'ATI R6xx HDMI'
   Components : 'HDA:1002aa01,104d4600,00100200'
   Controls : 4
   Simple ctrls : 1
Card1.Amixer.values:
 Simple mixer control 'IEC958',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [off]
CheckboxSubmission: 6f54de70ed31c0d6ff1d9dd642dbdece
CheckboxSystem: b633b4f40868d491c2ae5b50030ce6f3
DistroRelease: Ubuntu 10.04
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta amd64 (20100317.1)
Package: alsa-driver (not installed)
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_IN
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-19.28-generic 2.6.32.10+drm33.1
Tags: lucid
Uname: Linux 2.6.32-19-generic x86_64
UserGroups:

dmi.bios.date: 01/26/2010
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: R0230Y8
dmi.board.asset.tag: N/A
dmi.board.name: VAIO
dmi.board.vendor: Sony Corporation
dmi.board.version: N/A
dmi.chassis.asset.tag: N/A
dmi.chassis.type: 10
dmi.chassis.vendor: Sony Corporation
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrR0230Y8:bd01/26/2010:svnSonyCorporation:pnVPCEB16FG:pvrC60415RM:rvnSonyCorporation:rnVAIO:rvrN/A:cvnSonyCorporation:ct10:cvrN/A:
dmi.product.name: VPCEB16FG
dmi.product.version: C60415RM
dmi.sys.vendor: Sony Corporation

---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.22.1.
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: fox 1878 F.... pulseaudio
 /dev/snd/pcmC0D0p: fox 1878 F...m pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf5e00000 irq 31'
   Mixer name : 'Realtek ALC269'
   Components : 'HDA:10ec0269,104d4600,00100004'
   Controls : 12
   Simple ctrls : 7
Card1.Amixer.info:
 Card hw:1 'Generic'/'HD-Audio Generic at 0xf0040000 irq 32'
   Mixer name : 'ATI R6xx HDMI'
   Components : 'HDA:1002aa01,104d4600,00100200'
   Controls : 4
   Simple ctrls : 1
Card1.Amixer.values:
 Simple mixer control 'IEC958',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
CheckboxSubmission: 6f54de70ed31c0d6ff1d9dd642dbdece
CheckboxSystem: b633b4f40868d491c2ae5b50030ce6f3
DistroRelease: Ubuntu 10.04
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta amd64 (20100317.1)
Package: alsa-driver (not installed)
ProcEnviron:
 PATH=(custom, no user)
 LANG=en_IN
 SHELL=/bin/bash
Tags: lucid
Uname: Linux 2.6.34-020634rc4-generic x86_64
UserGroups:

dmi.bios.date: 01/26/2010
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: R0230Y8
dmi.board.asset.tag: N/A
dmi.board.name: VAIO
dmi.board.vendor: Sony Corporation
dmi.board.version: N/A
dmi.chassis.asset.tag: N/A
dmi.chassis.type: 10
dmi.chassis.vendor: Sony Corporation
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrR0230Y8:bd01/26/2010:svnSonyCorporation:pnVPCEB16FG:pvrC60415RM:rvnSonyCorporation:rnVAIO:rvrN/A:cvnSonyCorporation:ct10:cvrN/A:
dmi.product.name: VPCEB16FG
dmi.product.version: C60415RM
dmi.sys.vendor: Sony Corporation

---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: eye 1861 F.... pulseaudio
 /dev/snd/pcmC0D0p: eye 1861 F...m pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf5e00000 irq 48'
   Mixer name : 'Realtek ALC269'
   Components : 'HDA:10ec0269,104d4600,00100004'
   Controls : 12
   Simple ctrls : 7
Card1.Amixer.info:
 Card hw:1 'Generic'/'HD-Audio Generic at 0xf0040000 irq 49'
   Mixer name : 'ATI R6xx HDMI'
   Components : 'HDA:1002aa01,104d4600,00100200'
   Controls : 4
   Simple ctrls : 1
Card1.Amixer.values:
 Simple mixer control 'IEC958',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
DistroRelease: Ubuntu 10.10
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta amd64 (20100317.1)
Package: alsa-driver (not installed)
ProcEnviron:
 LANGUAGE=en_IN:en_GB:en
 LANG=en_IN.utf8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.35-22.32-generic 2.6.35.4
Tags: maverick
Uname: Linux 2.6.35-22-generic x86_64
UserGroups: adm admin audio cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 01/26/2010
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: R0230Y8
dmi.board.asset.tag: N/A
dmi.board.name: VAIO
dmi.board.vendor: Sony Corporation
dmi.board.version: N/A
dmi.chassis.asset.tag: N/A
dmi.chassis.type: 10
dmi.chassis.vendor: Sony Corporation
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrR0230Y8:bd01/26/2010:svnSonyCorporation:pnVPCEB16FG:pvrC60415RM:rvnSonyCorporation:rnVAIO:rvrN/A:cvnSonyCorporation:ct10:cvrN/A:
dmi.product.name: VPCEB16FG
dmi.product.version: C60415RM
dmi.sys.vendor: Sony Corporation

gokul (dotgokul) wrote :
Daniel T Chen (crimsun) wrote :

Please remove the model quirk and reboot.

Changed in alsa-driver (Ubuntu):
status: New → Incomplete
gokul (dotgokul) wrote :

It was not present to begin with. And at the moment the model quirk is commented out (and I have rebooted after that). No change.

Daniel T Chen (crimsun) wrote :

Please rerun the apport-collect.

Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: maya 3972 F.... pulseaudio
 /dev/snd/pcmC0D0p: maya 3972 F...m pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf5e00000 irq 35'
   Mixer name : 'Realtek ALC269'
   Components : 'HDA:10ec0269,104d4600,00100004'
   Controls : 12
   Simple ctrls : 7
Card1.Amixer.info:
 Card hw:1 'Generic'/'HD-Audio Generic at 0xf0040000 irq 36'
   Mixer name : 'ATI R6xx HDMI'
   Components : 'HDA:1002aa01,104d4600,00100200'
   Controls : 4
   Simple ctrls : 1
Card1.Amixer.values:
 Simple mixer control 'IEC958',0
   Capabilities: pswitch pswitch-joined
   Playback channels: Mono
   Mono: Playback [on]
DistroRelease: Ubuntu 9.10
NonfreeKernelModules: fglrx
Package: alsa-driver (not installed)
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-20.57-generic-pae
Uname: Linux 2.6.31-20-generic-pae i686
UserGroups: adm admin audio cdrom dialout lpadmin plugdev sambashare
XsessionErrors:
 (gnome-settings-daemon:3991): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (nautilus:4090): Eel-CRITICAL **: eel_preferences_get_boolean: assertion `preferences_is_initialized ()' failed
 (polkit-gnome-authentication-agent-1:4108): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed

Changed in alsa-driver (Ubuntu):
status: Incomplete → New
tags: added: apport-collected
gokul (dotgokul) wrote :

Among the many troubleshooting things I did, I modified the /etc/modprobe.d/sound.conf file. And I committed the sin of not taking a backup of that file. I would like to restore that file to the the original state. What package or configuration utility can do that for me?

gokul (dotgokul) wrote :

I have upgraded to lucid alpha 3.
will update the bug report now with apport-collect.
For the record: No sound yet.

description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

summary: - No sound in sony vaio VPCEB16FG (Realtek ALC269, snd-hda-intel driver,
- Karmic)
+ No sound in sony vaio VPCEB16FG (Realtek ALC269, snd-hda-intel driver)
rvaliant (rvaliant) wrote :

I have been able to get sound from the headphone jack by specifying model=generic in /etc/modprobe.conf/alsa-base.conf

Others have as well. See ALSA bug referenced above.

I think a new ALSA model patch is going to have to be created for Sony VPCEBs.

gokul (dotgokul) wrote :

Confirmed. Thanks rvaliant. Adding:
options snd-hda-intel model=generic works for the headphone jack :)

gokul (dotgokul) wrote :

although model=generic works for the headphone jack, the balance and volume functionality don't work -- they don't change. Using gnome volume control to adjust the balance automatically makes the volume zero. Using alsamixer does not change the volume levels to anything other than 99 or 100.

Daniel T Chen (crimsun) wrote :

Balance behavior is bug 532095. Volume level behavior is intentional when using PulseAudio; see http://pulseaudio.org/wiki/PulseAudioStoleMyVolumes

bastianr (reich) wrote :

Hi ppl,

I can confirm that headphone jack is working on my Vaio VPCEb1z1e by setting mode=generic, but nothing else (also no microphone input).

Dear alsa-team, please hurry up (-;

Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: HDA Generic [HDA Generic]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: bastian 2790 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf5e00000 irq 31'
   Mixer name : 'Realtek ID 269'
   Components : 'HDA:10ec0269,104d4600,00100004'
   Controls : 4
   Simple ctrls : 3
Card1.Amixer.info:
 Card hw:1 'Generic'/'HD-Audio Generic at 0xf0040000 irq 32'
   Mixer name : 'ATI R6xx HDMI'
   Components : 'HDA:1002aa01,104d4600,00100200'
   Controls : 4
   Simple ctrls : 1
Card1.Amixer.values:
 Simple mixer control 'IEC958',0
   Capabilities: pswitch pswitch-joined
   Playback channels: Mono
   Mono: Playback [off]
DistroRelease: Ubuntu 9.10
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027)
Package: alsa-driver (not installed)
ProcEnviron:
 SHELL=/bin/bash
 LANG=de_DE.UTF-8
Uname: Linux 2.6.34-rc1 x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare video

Brad Figg (brad-figg) on 2010-03-28
tags: added: kj-triage needs-test-current-image no-sound-system
Changed in alsa-driver (Ubuntu):
status: New → Incomplete
Brad Figg (brad-figg) on 2010-03-31
tags: added: karmic
gokul (dotgokul) on 2010-04-02
description: updated
gokul (dotgokul) on 2010-04-06
description: updated
gokul (dotgokul) on 2010-04-15
description: updated
46 comments hidden view all 126 comments
gokul (dotgokul) wrote :

just to complete the formality [comment #52]:
I have tested with the latest mainline kernel 2.6.34-020634rc4-generic x86_64. Sound is not available by default.

description: updated
gokul (dotgokul) on 2010-04-15
tags: removed: needs-test-current-image
tags: added: lucid
Changed in alsa-driver (Ubuntu):
status: Incomplete → New
Rocky Stone (rstone-mail) wrote :

The bug is fixed is in alsa-driver-1.0.23 release, so we just have to wait for it to get updated http://packages.ubuntu.com/lucid/alsa-base
Daily sapshot alsa-driver-20100415.tar.gz from Takashi Iwai worked for me.

ありがとう Takashi Iwai and Grazie Luca Bruno!

Giuseppe Pennisi (giupenni78) wrote :

Great!!!

Vladimir Hidalgo (vlad88sv) wrote :

Nice I just bought a VAIO VVPCEB15EL and has tracking down this bug since ...today... and very happy to see that at least with the help of the ppa I'll get sound working!. I hope they commit this fix for the final release, it's critical bug!.

Vladimir Hidalgo (vlad88sv) wrote :

I found a blog with instructions on how to compile it and upgrade, although they're instructions for Karmic.
http://monespaceperso.org/blog-en/2010/04/17/upgrade-alsa-1-0-23-on-ubuntu-karmic-koala-9-10/

The sad point is that alsa-project.org is down by expired dns and http://alsa-project.org/pub/driver/alsa-driver-1.0.23.tar.bz2 can't be pulled ATM.

Changed in alsa-driver (Ubuntu):
status: New → Confirmed
Vladimir Hidalgo (vlad88sv) wrote :

http://tldp.org/HOWTO/Alsa-sound-4.html

There are listed some mirrors for alsa-project.org's ftp.

Vladimir Hidalgo (vlad88sv) wrote :

I confirm that for a VAIO VPCEB15EL upgrading to ALSA 1.0.23 solves the sound problem!!! (don't forget to remove related to HDA any line in alsa-base.conf).

Problem is that it's not a simple solution as it involves to download about 500MB in packages in order to build ALSA!.

Rocky Stone (rstone-mail) wrote :

> Problem is that it's not a simple solution as it involves to download about 500MB in packages in order to build ALSA!.

500 MB?!? Don't go this way, you only need to download and build alsa-driver.

Link: <http://alsa-project.org/main/index.php/Download#Latest_Software_Source_Releases>
Direct link to the tarball that has the fix: <ftp://ftp.alsa-project.org/pub/driver/alsa-driver-1.0.23.tar.bz2>
Than ./configure && make && make install

Vladimir Hidalgo (vlad88sv) wrote :

I was using this utility: http://ubuntuforums.org/showthread.php?t=1046137&page=74

Which requires xmlto, as you can see it's a big package as it removes 779MB when uninstalling.

Does not ALSA need this xmlto stuff to compile?

--------

:~$ sudo apt-get autoremove xmlto
[sudo] password for vladimir:
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
Los siguientes paquetes se ELIMINARÁN:
  dblatex docbook-xsl docbook-xsl-doc-html feynmf lacheck latex-beamer
  latex-xcolor libmagick++2 libplot2c2 libpstoedit0c2a lmodern luatex pgf
  preview-latex-style prosper ps2eps pstoedit purifyeps tex-common texlive
  texlive-base texlive-bibtex-extra texlive-binaries texlive-common
  texlive-doc-base texlive-extra-utils texlive-font-utils
  texlive-fonts-recommended texlive-fonts-recommended-doc
  texlive-generic-recommended texlive-latex-base texlive-latex-base-doc
  texlive-latex-extra texlive-latex-extra-doc texlive-latex-recommended
  texlive-latex-recommended-doc texlive-luatex texlive-math-extra
  texlive-metapost texlive-metapost-doc texlive-pictures texlive-pictures-doc
  texlive-pstricks texlive-pstricks-doc tipa xmlto
0 actualizados, 0 se instalarán, 46 para eliminar y 0 no actualizados.
Se liberarán 779MB después de esta operación.
¿Desea continuar [S/n]?

Vladimir Hidalgo (vlad88sv) wrote :

From the afore mentioned script, this are the supposed dependencies in order to build ALSA:

header "Installing dependencies"
apt-get -y install bzip2 build-essential module-assistant libsysfs-dev libncurses5-dev libncursesw5-dev gettext python-dev xmlto libpulse0 libpulse-dev libspeex-dev libavcodec-dev libavformat-dev libavutil-dev libmpeg4ip-dev liba52-0.7.4-dev libsamplerate0-dev linux-headers-$KERNEL libfltk1.1-dev

You don't even need to do that [compile drivers by hand] -- we already provide daily builds of drivers; see linux-alsa-driver-modules-$(uname -r) in ppa:ubuntu-audio-dev.

Nawwar Kabbani (nawwar) wrote :

The patch referenced in comment #76 was merged into the latest kernel mainline release (2.6.34-rc5), released yesterday. I've just tried that new kernel and the problem is solved.
Builtin speakers, headphone, and microphone are all working.

Rocky Stone (rstone-mail) wrote :

Thanks Daniel, definitely useful hint

Vladimir Hidalgo (vlad88sv) wrote :

Daniel's hint is really useful, sadly when a new kernel arrives this ppa:ubuntu-audio-dev does not release an update at the same time, forcing to wait for it and to hold the kernel update until then.

ff670099 (ff670099) wrote :

Hello everybody. I still have the same problem in the 10.04 release. Does someone find a solution?

Rocky Stone (rstone-mail) wrote :

@ff670099
See Daniel T Chen's comment#97

Here is the link to the ppa with instructions how to add it: https://launchpad.net/~ubuntu-audio-dev/+archive/ppa
Once you add the ppa install linux-alsa-driver-modules-$(uname -r) package, e.g. linux-alsa-driver-modules-2.6.32-22-generic and reboot. Sound should be working after that.

This workaround works fine and we'll have to use it since the update of http://packages.ubuntu.com/lucid/alsa-base to version 1.0.23 (which has the fix) may take a while.

Hope that helps,
Rocky

Michele Azzolari (macno) wrote :

comment #74 worked on my VPCEA1S1E, but if you suspend/resume audio stops working.
You have to run manually:
sudo /usr/sbin/hda-verb /dev/snd/hwC0D0 0x19 SET_PIN_WIDGET_CONTROL 0x22

gokul (dotgokul) on 2010-05-09
description: updated
Savvas Radevic (medigeek) wrote :
Download full text (3.2 KiB)

Confirming bug on sony vaio VPCEC1M1E / lucid 10.04. Installing linux-alsa-driver-modules-2.6.32-22-generic from the ubuntu audio dev ppa and rebooting fixes the issue!

sudo add-apt-repository ppa:ubuntu-audio-dev/ppa/ubuntu
sudo aptitude update
sudo aptitude install linux-alsa-driver-modules-2.6.32-22-generic

and restart :)

Extra information:
$ lspci -nn
00:00.0 Host bridge [0600]: Intel Corporation Core Processor DRAM Controller [8086:0044] (rev 02)
00:01.0 PCI bridge [0604]: Intel Corporation Core Processor PCI Express x16 Root Port [8086:0045] (rev 02)
00:16.0 Communication controller [0780]: Intel Corporation 5 Series/3400 Series Chipset HECI Controller [8086:3b64] (rev 06)
00:1a.0 USB Controller [0c03]: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller [8086:3b3c] (rev 05)
00:1b.0 Audio device [0403]: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio [8086:3b56] (rev 05)
00:1c.0 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 1 [8086:3b42] (rev 05)
00:1c.1 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 2 [8086:3b44] (rev 05)
00:1c.2 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 3 [8086:3b46] (rev 05)
00:1c.5 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 6 [8086:3b4c] (rev 05)
00:1d.0 USB Controller [0c03]: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller [8086:3b34] (rev 05)
00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev a5)
00:1f.0 ISA bridge [0601]: Intel Corporation Mobile 5 Series Chipset LPC Interface Controller [8086:3b09] (rev 05)
00:1f.2 SATA controller [0106]: Intel Corporation 5 Series/3400 Series Chipset 4 port SATA AHCI Controller [8086:3b29] (rev 05)
00:1f.3 SMBus [0c05]: Intel Corporation 5 Series/3400 Series Chipset SMBus Controller [8086:3b30] (rev 05)
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc Manhattan [Mobility Radeon HD 5000 Series] [1002:68e0]
01:00.1 Audio device [0403]: ATI Technologies Inc Manhattan HDMI Audio [Mobility Radeon HD 5000 Series] [1002:aa68]
02:00.0 Network controller [0280]: Atheros Communications Inc. AR9285 Wireless Network Adapter (PCI-Express) [168c:002b] (rev 01)
03:00.0 SD Host controller [0805]: Ricoh Co Ltd Device [1180:e822]
03:00.1 System peripheral [0880]: Ricoh Co Ltd Device [1180:e230]
03:00.4 SD Host controller [0805]: Ricoh Co Ltd Device [1180:e822]
04:00.0 Ethernet controller [0200]: Marvell Technology Group Ltd. Device [11ab:4381] (rev 11)
3f:00.0 Host bridge [0600]: Intel Corporation Core Processor QuickPath Architecture Generic Non-core Registers [8086:2c62] (rev 02)
3f:00.1 Host bridge [0600]: Intel Corporation Core Processor QuickPath Architecture System Address Decoder [8086:2d01] (rev 02)
3f:02.0 Host bridge [0600]: Intel Corporation Core Processor QPI Link 0 [8086:2d10] (rev 02)
3f:02.1 Host bridge [0600]: Intel Corporation Core Processor QPI Physical 0 [8086:2d11] (rev 02)
3f:02.2 Host bridge [0600]: Intel Corporation Core Processor Reserved [8086:2d12] (rev 02)
3f:02.3 Host bri...

Read more...

Vladimir Hidalgo (vlad88sv) wrote :

Intel ALC269 works by default with kernel 2.6.34 with no extra patches!

Same bug on Sony Vaio VPCEB1A4E with ubuntu lucid 10.04.

gokul (dotgokul) on 2010-07-29
description: updated
MNV. Sudhakar (sudha-pharmas) wrote :

hi guys, this is sudhkar.
I am using Ubuntu 9.10 Edition and Windows 7in my Sony (VPCEB14EN) Laptop.
When i am using Ubuntu there is no audio playing and moreover there is Ethernet connection showing to use the Wired internet connection.But both sound and Ethernet working well when i am using Windows 7. Now i am able to use only Wi-Fi connection in Ubuntu.

Can anyone help me to assist regarding the above problem....

how to get the Ethernet connection in my laptop

Download full text (9.7 KiB)

gokul,

follow this link, your audio problems on sony will be solved..

http://monespaceperso.org/blog-en/2010/05/02/upgrade-alsa-1-0-23-on-ubuntu-lucid-lynx-10-04/#comments

sudhakar, for ur Ethernet problems, better file a separate bug, this bug is
related to audio. better not mix two things..

On Thu, Aug 19, 2010 at 11:39 AM, MNV. Sudhakar
<email address hidden>wrote:

> hi guys, this is sudhkar.
> I am using Ubuntu 9.10 Edition and Windows 7in my Sony (VPCEB14EN) Laptop.
> When i am using Ubuntu there is no audio playing and moreover there is
> Ethernet connection showing to use the Wired internet connection.But both
> sound and Ethernet working well when i am using Windows 7. Now i am able to
> use only Wi-Fi connection in Ubuntu.
>
> Can anyone help me to assist regarding the above problem....
>
> how to get the Ethernet connection in my laptop
>
> --
> No sound in sony vaio VPCEB16FG (Realtek ALC269, snd-hda-intel driver)
> https://bugs.launchpad.net/bugs/537448
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “alsa-driver” package in Ubuntu: Confirmed
>
> Bug description:
> There is no sound by default and I have added the ubuntu-audio-dev ppa to
> my package sources and have the latest packages and still there is no sound.
>
> My guess is the card is recognized.
> I have tried adding "options snd-hda-intel model=basic" to
> /etc/modprobe.d/alsa_base.conf to no avail.
>
> I have tried using the debugging guide(s):
> https://help.ubuntu.com/community/SoundTroubleshooting
>
> Here is the alsa db link, created by alsa_info.sh
> http://www.alsa-project.org/db/?f=a469012bc9a69e16550cb584d3c40ab0c2659936
>
> [
> work around #1:
> Please refer to comment #46.
> You can get hda-analyzer here:
> http://www.alsa-project.org/main/index.php/HDA_Analyzer
>
> Do the 'quick run' mentioned in that page. Find Node[0x19] on the left hand
> side pane and click it. Look under "widget control" on the Right hand side
> pane. Change VREF's value from whatever it is to HIZ.
>
> This has worked for me and others who have commented here.
>
> work around #2:
> Please refer to comment #74
>
> https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/537448/comments/74
>
>
> work around #3:
> Please refer to comment #102:
>
> https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/537448/comments/102
>
> work around #4:
> Please refer to comment #107:
>
> https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/537448/comments/107
>
> ]
>
> ProblemType: Bug
> Architecture: i386
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: ALC269 Analog [ALC269 Analog]
> Subdevices: 1/1
> Subdevice #0: subdevice #0
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: maya 2258 F.... pulseaudio
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xf5e00000 irq 35'
> Mixer name : 'Realtek ALC269'
> Components : 'HDA:10ec0269,104d4600,00100004'
> Controls : 12
> Simple ctrls : 7
> Card1.Amixer.info:
> Card hw:1 'Generic'/'HD-Audio Generic at 0xf0040000 irq 36'
> Mixer name : 'ATI R6xx HDMI'
> ...

Read more...

apport information

description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in alsa-driver (Ubuntu):
status: Confirmed → Fix Released
gokul (dotgokul) wrote :

Works perfectly in maverick beta.

gokul (dotgokul) wrote :

I don't require this fix in lucid. [ I do not know how to revoke a nomination. ]

descuadrs (lavoe-colon) on 2010-09-20
Changed in alsa-driver (Ubuntu):
assignee: nobody → descuadrs (lavoe-colon)

i am also having the same laptop, and i updated my alsa driver to 1.0.23 and sound worked but there were some conflicts with flash player and other music players...i couldn't play sound in both of them simultaneously. anything about that??

"Works perfectly in maverick beta" as by comment #119
and also is this problem resolved in maverick completely?? because that is the most important thing now??

gokul (dotgokul) wrote :

@Bhavya,
I can confirm that in maverick, using multiple applications such as flash player (say, youtube), totem and rhythmbox does not cause any problems.

@gokul:
thanks a lot, this is a great news indeed..

rbaleksandar (redbaronqueen) wrote :

I think I love you (if you're a man, know that it is a pure non-homo love :D). Work around #1 worked like a charm. The moment I switched to HIZ the beautiful sound of Mr. Mozart started pouring out of my speakers, for I was testing my audio with a track from this great genius. So thank you very much and wish you best of luck and keep helping poor buggers like me. :D
Btw I'm running Ubuntu 10.4 Lucid Lynx on a Sony Vaio VPCEB3M1E (uncle Google can show you the specs ;)).

Matthew (mshalorne) wrote :

First work around worked. I also had a problem with changes not being there after a reboot so I used the analyser's ability to generate a script (after using the interface to set 0x19 widget control vref to HIZ) and then made the script run on start up (I saved the script in /etc/init.d/soundSet):

sudo update-rc.d -f soundSet start 99 2 3 4 5 .

Sound works every time now. Thanks.

rbaleksandar (redbaronqueen) wrote :

I'm using the PPA for ubuntu-audio-dev with the linux-alsa-driver-modules-2.6.32 and haven't had a single problem (sound-related that is) ever since. :) No need to edit any values inside the HDA_Analyzer or stuff like that.

https://launchpad.net/~ubuntu-audio-dev/+archive/ppa

Displaying first 40 and last 40 comments. View all 126 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.